coordmode, mouse, client
TopLeftX := 25
TopLeftY := 46
PlantX := 1830
PlantY := 15
SelfX := 964
SelfY := 532
CloseX := 22
CloseY := 107
PlusWaterX := 243
PlusWaterY := 163
PlusFertX := 243
PlusFertY := 184
HarvestX := 136
HarvestY := 227
WindowSizeX := 257
WindowSizeY := 246
WaterBarX := 224
WaterBarY := 163
FertBarX := 224
FertBarY := 184

PlantLocations := Object()

PlantLocations0_0 := "N,W,W"
PlantLocations0_1 := "N,W"
PlantLocations0_2 := "N"
PlantLocations0_3 := "N,E"
PlantLocations0_4 := "N,E,E"
PlantLocations1_0 := "W,W"
PlantLocations1_1 := "W"
PlantLocations1_2 := " "
PlantLocations1_3 := "E"
PlantLocations1_4 := "E,E"
PlantLocations2_0 := "S,W,W"
PlantLocations2_1 := "S,W"
PlantLocations2_2 := "S"
PlantLocations2_3 := "S,E"
PlantLocations2_4 := "S,E,E"

buildx := 32
buildy := 136
NWx := 32
NWy := 70
Nx := 59
Ny := 33
NEx := 88
NEy := 71
Ex := 99
Ey := 74
SEx := 88
SEy := 126
Sx := 59
Sy := 114
SWx := 32
SWy := 126
Wx := 20
Wy := 75

Bedx := 360
Bedy := 210

BedOffsetx := 310
BedOffsety := 310

^r::reload
^p::Pause
^!w::

IfWinExist eGenesis Client
{
	WinActivate, eGenesis Client

	WinGetActiveStats, win_Title, Xmax, Ymax, win_Xpos, win_Ypos
	SetDefaultMouseSpeed, 0
	interval = 1200
	
	Gui, +AlwaysOnTop +ToolWindow
	Gui, Font, bold
	Gui, Add, Text,, Adjust Camera/Zoom Level?
	Gui, Font, normal
	Gui, Add, Text,, Choose Yes if this is the first time running.`nChoose No if you already performed this step and locked screen.
	Gui, Add, DropDownList, vAdjust Choose2, Yes|No


	Gui, Font, bold
	Gui, Add, Text,, `nChoose method/fertilizer qty:
	Gui, Font, normal
	;Gui, Add, Text,, 
	Gui, Add, DropDownList, vMethod Choose3, Water + 3 fertilizer|Water + 6 fertilizer|Water only



	Gui, Add, Button, Default gStart, GO
	Gui, Show
	return
}

Start:
	Gui, Submit
	Gui, Destroy
	Sleep 250
	
Plant:

Loop, 100
{
	RowCount := 0
	ColumnCount := 0
	
	Loop, 3
	{
		Loop, 5
		{
			if (RowCount = 1) and (ColumnCount = 2) then
			{
				BedLocationx := Bedx + (ColumnCount * BedOffsetx) + 40
				BedLocationy := Bedy + (RowCount * BedOffsety)
				WindowLocationx := TopLeftX + (ColumnCount * WindowSizeX)
				WindowLocationy := TopLeftY + (RowCount * WindowSizeY)
			}
			else
			{
				BedLocationx := Bedx + (ColumnCount * BedOffsetx)
				BedLocationy := Bedy + (RowCount * BedOffsety)
				WindowLocationx := TopLeftX + (ColumnCount * WindowSizeX)
				WindowLocationy := TopLeftY + (RowCount * WindowSizeY)
			}
		
			ButtonClick := PlantLocations%RowCount%_%ColumnCount%
			
			StringSplit, output_array, ButtonClick, `,
			
			MouseMove, PlantX, PlantY
			click, Left
			;sleep 2000
			
			loop, %output_array0%
			{
				if ("" . output_array%A_Index% = "N") then
				{
					MouseMove, Nx, Ny
					click, Left
					;sleep 2000
				}
				else if ("" . output_array%A_Index% = "S") then
				{
					MouseMove, Sx, Sy
					click, Left
					;sleep 2000
				}
				else if ("" . output_array%A_Index% = "E") then
				{
					MouseMove, Ex, Ey
					click, Left
					;sleep 2000
				}
				else if ("" . output_array%A_Index% = "W") then
				{
					MouseMove, Wx, Wy
					click, Left
					;sleep 2000
				}
			}
			
			MouseMove, buildx, buildy
			click, Left
			;sleep 2000
			
			MouseMove, BedLocationx, BedLocationy
			click, Right
			;sleep 2000
			
			MouseClickDrag, Left, (BedLocationx+20), (BedLocationy-95), WindowLocationx, WindowLocationy
					
			ColumnCount += 1
		}
		
		RowCount += 1
		ColumnCount := 0
	}
	
	Water := 0
	Count := 0
	
	Loop, 6
	{
		Loop, 1
		{
			if (Count = 0) then
			{
				RowCount := 0
				ColumnCount := 0
				
				Loop,3
				{
					Loop, 5
					{
						WaterLocationx := PlusWaterX + (ColumnCount * WindowSizeX)
						WaterLocationy := PlusWaterY + (RowCount * WindowSizeY)
						
						MouseMove, WaterLocationx, WaterLocationy
						click, Left
						click, Left
						
						if !("" . Method = "Water only")
						{
							FertLocationx := PlusFertX + (ColumnCount * WindowSizeX)
							FertLocationy := PlusFertY + (RowCount * WindowSizeY)
							
							MouseMove, FertLocationx, FertLocationy
							click, Left
							click, Left
						}
						
						ColumnCount += 1
					}
				
				RowCount += 1
				ColumnCount := 0
				
				}
			}
			else if (Count = 3) and ("" . Method = "Water + 3 fertilizer")
			{
				RowCount := 0
				ColumnCount := 0
				
				Loop,3
				{
					Loop, 5
					{
						WaterLocationx := PlusWaterX + (ColumnCount * WindowSizeX)
						WaterLocationy := PlusWaterY + (RowCount * WindowSizeY)
						FertLocationx := PlusFertX + (ColumnCount * WindowSizeX)
						FertLocationy := PlusFertY + (RowCount * WindowSizeY)
						WaterBarLocationx := WaterBarX + (ColumnCount * WindowSizeX)
						WaterBarLocationy := WaterBarY + (RowCount * WindowSizeY)
						FertBarLocationx := FertBarX + (ColumnCount * WindowSizeX)
						FertBarLocationy := FertBarY + (RowCount * WindowSizeY)
						
						if !(IsBlue(WaterBarLocationx,WaterBarLocationy) = true) then
						{
							MouseMove, WaterLocationx, WaterLocationy
							click, Left
						}
						
						if !(IsBlue(FertBarLocationx,FertBarLocationy) = true) then
						{
							MouseMove, FertLocationx, FertLocationy
							click, Left
						}
						
						ColumnCount += 1
					}
				
				RowCount += 1
				ColumnCount := 0
				}
			}
			else if (Count = 5) then
			{
				RowCount := 0
				ColumnCount := 0
				
				Loop,3
				{
					Loop, 5
					{
						HarvestLocationx := HarvestX + (ColumnCount * WindowSizeX)
						HarvestLocationy := HarvestY + (RowCount * WindowSizeY)
						
						MouseMove, HarvestLocationx, HarvestLocationy
						click, Left
						
						ColumnCount += 1
					}
					
				RowCount += 1
				ColumnCount := 0
				}
			}
			else
			{
				RowCount := 0
				ColumnCount := 0
				
				Loop,3
				{
					Loop, 5
					{
						
						WaterLocationx := PlusWaterX + (ColumnCount * WindowSizeX)
						WaterLocationy := PlusWaterY + (RowCount * WindowSizeY)
						WaterBarLocationx := WaterBarX + (ColumnCount * WindowSizeX)
						WaterBarLocationy := WaterBarY + (RowCount * WindowSizeY)
						
						if !(IsBlue(WaterBarLocationx,WaterBarLocationy) = true) then
						{
							MouseMove, WaterLocationx, WaterLocationy
							click, Left
						}
						
						if !("" . Method = "Water only")
						{
							FertLocationx := PlusFertX + (ColumnCount * WindowSizeX)
							FertLocationy := PlusFertY + (RowCount * WindowSizeY)
							FertBarLocationx := FertBarX + (ColumnCount * WindowSizeX)
							FertBarLocationy := FertBarY + (RowCount * WindowSizeY)
							
							if !(IsBlue(FertBarLocationx,FertBarLocationxBarLocationy) = true) then
							{		
								MouseMove, FertLocationx, FertLocationy
								click, Left
							}
						}
						
						ColumnCount += 1
					}
				
				RowCount += 1
				ColumnCount := 0
				}
			}
			
			if ("" . Method = "Water + 6 fertilizer") 
			{
				RowCount := 0
				ColumnCount := 0
				
				Loop,3
				{
					Loop, 5
					{
						FertLocationx := PlusFertX + (ColumnCount * WindowSizeX)
						FertLocationy := PlusFertY + (RowCount * WindowSizeY)
						FertBarLocationx := FertBarX + (ColumnCount * WindowSizeX)
						FertBarLocationy := FertBarY + (RowCount * WindowSizeY)
						
						if !(IsBlue(FertBarLocationx,FertBarLocationxBarLocationy) = true) then
						{
							MouseMove, FertLocationx, FertLocationy
							click, Left
						}
						
						ColumnCount += 1
					}
				
				RowCount += 1
				ColumnCount := 0
				}
					
			}
			
		}
		Count += 1
		
		if (count = 5)
		{
			sleep 25000 ;Last cycle, let is sit for 25s, usually get more barley
		} 
		else if (count = 6) 
		{
			Sleep 0
		} 
		else
		{
			sleep 15000
		}
	}

	RowCount := 0
	ColumnCount := 0
	
	Loop, 3
	{
		Loop, 5
		{
			WindowLocationx := CloseX + (ColumnCount * WindowSizeX)
			WindowLocationy := CloseY + (RowCount * WindowSizeY)
			
			MouseMove, WindowLocationx, WindowLocationy
			click, Right
			
			ColumnCount += 1
		}
		
		RowCount += 1
		ColumnCount := 0
	}
	
	Msgbox, Done! Click OK`n`nPress Press F2 if you want to plant again...`n`nFirst gather water and stand on a good spot, if you will continue.
	KeyWait, F2, D
	Gosub, Plant
}
	
IsBlue(X,Y)
{
	PixelGetColor, blueBar, X, Y, RGB
	if (blueBar = 0x0706FD)  or (blueBar = 0x0606FD) or (blueBar = 0x0506FD) or (blueBar = 0x0406FD) or (blueBar = 0x0306FD) or (blueBar = 0x0206FD) or (blueBar = 0x0106FD) or (blueBar = 0x0006FD) then
	{
		return true
	}
	else
	{
		return false
	}
}